linkedModelMVC-class {MVCClass} | R Documentation

## Class "linkedModelMVC": A class to represent a MVC object that can be linked to other MVC objects

### Description

linkedModelMVC is a class to represent a model-view-controller object that can be linked to other MVC objects. The linkedModelMVC class will combine these three components (model, view and controller) so that the MVC objects can be reused and it has the slots, parentMVC and childMVCList, to link this MVC object with other MVC objects.

### Objects from the Class

Objects can be created by calls of the form `new("linkedModelMVC", ...)`.

### Slots

`model`:
  the model object (will inherit from the gModel virtual class)
`viewList`:
  a list of the view objects that visualize the model
`controller`:
  the environment that stores information for the MVC object
`parentMVC`:
  the name of the parent model (MVC) if there is a parent model
`childMVCList`:
  a list of the names of the child models (MVCs); it may be an empty list if there are no children

### Extends

Class `"singleModelMVC"`, directly. Class `"MVC"`, by class `"singleModelMVC"`.

### Methods

childMVCList<-
  Sets the `childMVCList` slot
childMVCList
  Returns the `childMVCList` slot
parentMVC<-
  Sets the `parentMVC` slot
parentMVC
  Returns the `parentMVC` slot

### Author(s)

Elizabeth Whalen

### See Also

`gModel-class`, `genView-class`, `singleModelMVC-class`, `MVC-class`

[Package MVCClass version 1.18.0 Index]